package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/7/10
 */
public class FinishTaskDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 学生作业任务列表
     */
    private List<StudentHomeworkTask> finishedHomeworkTaskList;

    public class StudentHomeworkTask implements Serializable{
        private static final long serialVersionUID = 1L;
        /**
         * 学生id
         */
        private String vipId;
        /**
         * 学生姓名
         */
        private String studentName;
        /**
         * 头像
         */
        private String imgUrl;
        /**
         * 反馈推送id
         */
        private String pushId;
        /**
         * 学生作业详情
         */
        private List<SubjectHomework> subjectHomeworkList;

        public String getVipId() {
            return vipId;
        }

        public void setVipId(String vipId) {
            this.vipId = vipId;
        }

        public String getStudentName() {
            return studentName;
        }

        public void setStudentName(String studentName) {
            this.studentName = studentName;
        }

        public String getImgUrl() {
            return imgUrl;
        }

        public void setImgUrl(String imgUrl) {
            this.imgUrl = imgUrl;
        }

        public String getPushId() {
            return pushId;
        }

        public void setPushId(String pushId) {
            this.pushId = pushId;
        }

        public List<SubjectHomework> getSubjectHomeworkList() {
            return subjectHomeworkList;
        }

        public void setSubjectHomeworkList(List<SubjectHomework> subjectHomeworkList) {
            this.subjectHomeworkList = subjectHomeworkList;
        }
    }

    public List<StudentHomeworkTask> getFinishedHomeworkTaskList() {
        return finishedHomeworkTaskList;
    }

    public void setFinishedHomeworkTaskList(List<StudentHomeworkTask> finishedHomeworkTaskList) {
        this.finishedHomeworkTaskList = finishedHomeworkTaskList;
    }
}
